Page MenuHomePhabricator

efl/gesture: ignore multi-touch end events in tap gesture recognizer
ClosedPublic

Authored by zmike on Jan 27 2020, 11:13 AM.

Details

Summary

we only care about the last touch unpress event, so we should be ignoring
every other event instead of canceling, as we are also ignoring the
multi-touch press events

Depends on D11198

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 27 2020, 11:13 AM
CHAN accepted this revision.Jan 28 2020, 3:10 AM

Looks good to me.

This revision is now accepted and ready to land.Jan 28 2020, 3:10 AM
zmike updated this revision to Diff 28684.Jan 29 2020, 11:22 AM
zmike edited the summary of this revision. (Show Details)

rebase/rework

Closed by commit rEFLc8ff8b170677: efl/gesture: ignore multi-touch end events in tap gesture recognizer (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:20 AM
This revision was automatically updated to reflect the committed changes.